USB_GADGET_VBUS(9)

NAME
usb_gadget_vbus_disconnect - notify controller about VBUS session end

SYNOPSIS

int usb_gadget_vbus_disconnect (struct usb_gadget * gadget);

ARGUMENTS

gadget
    the device whose VBUS supply is being described

DESCRIPTION

This call is used by a driver for an external transceiver (or GPIO) that detects a VBUS power session ending. Common responses include reversing everything done in usb_gadget_vbus_connect.

Returns zero on success, else negative errno.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.